> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unleashx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Audience List

> Retrieve a paginated list of audience records for a campaign.

Use this endpoint to **retrieve a paginated list of audience records** for a campaign, with optional filters and two response modes.

## Endpoint

**GET** `/audience-list`

**Authentication:** Required (workspace auth)

## Query Parameters

| Parameter      | Type            | Required | Description                                                      |
| -------------- | --------------- | -------- | ---------------------------------------------------------------- |
| `campaign_id`  | number          | Yes      | Campaign identifier                                              |
| `page`         | number          | No       | Page number (default: `1`)                                       |
| `limit`        | number          | No       | Records per page (default: `10`)                                 |
| `mobile_no`    | string          | No       | Partial mobile number search (LIKE)                              |
| `status`       | number \| array | No       | Audience status filter (see codes below)                         |
| `call_status`  | string \| array | No       | Filter by call status                                            |
| `first_status` | string \| array | No       | Filter by first call status                                      |
| `last_status`  | string \| array | No       | Filter by last call status                                       |
| `attempt`      | number \| array | No       | Filter by number of attempts made                                |
| `is_new`       | boolean         | No       | If `true`, returns simplified audience format (default: `false`) |

## Audience Status Codes

| Code | Status    |
| ---- | --------- |
| `0`  | Fresh     |
| `1`  | Completed |
| `2`  | Halted    |
| `3`  | Inqueue   |

## Response (is\_new=false — default)

```json theme={null}
{
  "datalist": [
    {
      "id": 101,
      "mobile_no": "+12025550123",
      "input_data": { "name": "John Doe", "plan": "premium" },
      "total_attempt": "2/3",
      "duration": "2m 30s",
      "last_attempt": "2025-12-10 14:30:00",
      "last_disposition": "Interested",
      "last_call_status": "COMPLETED",
      "status": "Completed",
      "updated_by": "Jane Admin"
    }
  ],
  "headers": [
    { "key": "mobile_no", "label": "Mobile Number" },
    { "key": "input_data", "label": "Input Data" },
    { "key": "status", "label": "Lead Status" },
    { "key": "total_attempt", "label": "Attempt" },
    { "key": "last_call_status", "label": "Call Status" },
    { "key": "duration", "label": "Duration" },
    { "key": "last_disposition", "label": "Disposition" },
    { "key": "last_attempt", "label": "Last Attempt" },
    { "key": "updated_by", "label": "Modified By" }
  ],
  "pagination": {
    "totalRecords": 500,
    "totalPages": 50,
    "currentPage": 1,
    "limit": 10
  }
}
```

## Response (is\_new=true — simplified)

```json theme={null}
{
  "datalist": [
    {
      "id": 101,
      "mobile_no": "+12025550123",
      "name": "John Doe",
      "plan": "premium"
    }
  ],
  "headers": [
    { "key": "mobile_no", "label": "Mobile Number" },
    { "key": "name", "label": "Name" },
    { "key": "plan", "label": "Plan" }
  ],
  "metadata": [
    { "key": "mobile_no", "label": "Mobile Number" },
    { "key": "name", "label": "Name" }
  ],
  "pagination": {
    "totalRecords": 500,
    "totalPages": 50,
    "currentPage": 1,
    "limit": 10
  }
}
```

## Example cURL

```bash theme={null}
curl -X GET "https://www.tryunleashx.com/api/v1/global/audience-list?campaign_id=42&page=1&limit=10" \
  -H "Authorization: <api_key>"
```


## OpenAPI

````yaml api-reference/openapi.json GET /audience-list
openapi: 3.1.0
info:
  title: >-
    UnleashX - Build human like conversations | Voice Agents | Automations | AI
    Workforce
  version: 1.0.0
  description: UnleashX - Your home for human like conversations
servers:
  - url: https://www.tryunleashx.com/api/v1/global/
security:
  - bearerAuth: []
paths:
  /audience-list:
    get:
      tags:
        - Campaigns
      summary: Audience list
      description: Retrieve a paginated list of audience records for a campaign.
      parameters:
        - name: token
          in: header
          required: true
          description: API token for authentication
          schema:
            type: string
        - name: campaign_id
          in: query
          required: true
          schema:
            type: integer
          description: Campaign identifier
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: 'Page number (default: 1)'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
          description: 'Records per page (default: 10)'
        - name: mobile_no
          in: query
          required: false
          schema:
            type: string
          description: Partial mobile number search
        - name: status
          in: query
          required: false
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
          description: 0=Fresh, 1=Completed, 2=Halted, 3=Inqueue
        - name: call_status
          in: query
          required: false
          schema:
            type: string
          description: Filter by call status
        - name: attempt
          in: query
          required: false
          schema:
            type: integer
          description: Filter by attempt count
        - name: is_new
          in: query
          required: false
          schema:
            type: boolean
          description: If true, returns simplified audience format
      responses:
        '200':
          description: Audience list retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  datalist:
                    type: array
                    items:
                      type: object
                  headers:
                    type: array
                    items:
                      type: object
                  pagination:
                    type: object
                    properties:
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      currentPage:
                        type: integer
                      limit:
                        type: integer
        '400':
          description: Bad Request - campaign_id is required
        '401':
          description: Unauthorized
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````